/**
 * Contact styles
 */

.apply-intro {
  width: 100%;
  max-width: 36rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
  text-align: center;
  text-wrap: balance;
}

#apply-form {
  width: 100%;
  max-width: 36rem;
  display: flex;
  flex-direction: column;
  gap: 2rem;
  margin-top: 0.5rem;
}

.form-section {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.form-row {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.form-field {
  display: flex;
  flex-direction: column;
  gap: 0.375rem;
  padding: 0;
  margin: 0;
  border: none;
}

.form-field.check {
  gap: 1rem;
  flex-direction: row;
  align-items: baseline;
}

.form-field.disabled {
  opacity: 0.5;
}

.radio-input-group {
  display: flex;
  flex-direction: column;
  gap: 0.675rem;
  height: 100%;
}

.radio-group {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 1.125rem;
  height: 100%;
  margin-top: 0.375rem;
}

.radio-item {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0.5rem;
}

.radio-item, .form-checkbox {
  accent-color: var(--red);
}

.radio-label {
  font-family: var(--font-body);
  font-size: 1rem;
}

.phone-group {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 1rem;
}

.phone-group > .form-field:first-child {
  flex: 1 0 0;
}

.phone-group > .form-field:last-child > .form-input {
  width: 6rem;
}

#course-list {
  width: 100%;
  display: flex;
  flex-direction: column;
  list-style-type: none;
  margin: 0;
  padding: 0;
  gap: 0.5rem;
}

.course-item {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0.75rem;
}

#add-course-btn {
  margin-top: 0.375rem;
  margin-right: auto;
  padding: 0.375rem 1rem;
}

#add-course-btn.disabled {
  cursor: default;
  opacity: 0.5;
}

#course-list:has(> :only-child) > .course-item > .file-clear-btn {
  cursor: default;
  opacity: 0.5;
}

.file-drop-zone {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 0.75rem;
  width: 100%;
  height: 16rem;
  padding: 1rem;
  border: 1px dashed var(--black-a80);
  border-radius: 0.5rem;
  font-family: var(--font-body);
  font-size: 1rem;
  color: var(--text);
  background-color: white;
  cursor: pointer;
}

.file-drop-zone > .icon {
  width: 2.5rem;
  height: 2.5rem;
  stroke: var(--red);
}

.form-file-input {
  display: none;
}

.file-preview {
  width: auto;
  margin: 0.5rem -1rem;
}

.file-preview:has(> tbody:empty) {
  display: none;
}

.file-preview > tbody > tr {
  background: none;
}

.file-preview td {
  font-size: 1rem;
  color: var(--text);
  padding: 0.25rem 1rem;
}

.file-preview td:nth-child(2), .file-preview td:last-child {
  text-align: right;
}

.file-preview tr:has(.file-clear-btn:hover) td {
  color: var(--red);
}

.file-clear-btn {
  width: 1.25rem;
  height: 1.25rem;
  stroke: var(--red);
  background: none;
  border: none;
  outline: none;
  cursor: pointer;
}

.file-clear-btn:hover, .file-clear-btn:focus {
  stroke: var(--red-dark);
}

.input-grow {
  flex: 1 0 0;
}

.form-label {
  font-family: var(--font-body);
  font-size: 1rem;
  color: var(--black);
}

.form-label.required::after {
  content: " *";
  color: var(--red);
}

.form-sub-label {
  font-family: var(--font-body);
  font-size: 0.9rem;
  color: var(--text);
  margin-bottom: 0.25rem;
}

.form-input {
  font-family: var(--font-body);
  padding: 0.5rem 0.75rem;
  background-color: var(--snow);
  border-radius: 0.5rem;
  border: 1px solid var(--black-a80);
  outline: 1px solid var(--red-a00);
  transition: none;
}

.form-input:focus {
  border: 1px solid var(--red);
  outline: 1px solid var(--red);
}

.form-input.disabled {
  opacity: 0.5;
}

.form-select {
  font-family: var(--font-body);
  font-size: 1rem;
  height: 100%;
  padding: 0.5rem 0.75rem;
  background-color: white;
  border-radius: 0.5rem;
  border: 1px solid var(--black-a80);
  outline: 1px solid var(--red-a00);
  transition: none;
}

.form-select:focus {
  border: 1px solid var(--red);
  outline: 1px solid var(--red);
}

#apply-form > button {
  margin-right: auto;
}

/* 400px */
@media (min-width: 25rem) {
}

/* 640px */
@media (min-width: 40rem) {
  .apply-intro, #apply-form {
    width: 36rem;
  }

  .radio-input-group {
    flex-direction: row;
    align-items: center;
    gap: 1.125rem;
  }
}

/* 768px */
@media (min-width: 48rem) {
  .apply-intro, #apply-form {
    width: 44rem;
    max-width: none;
  }

  .form-row {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(1, 1fr);
  }

  .field-grow-2 {
    grid-column: span 2;
  }

  .radio-group {
    margin-top: 0.25rem;
    gap: 1rem;
  }
}

/* 1024px */
@media (min-width: 64rem) {
  .apply-intro, #apply-form {
    width: 58rem;
  }

  #apply-form {
    margin-top: 1rem;
  }

  .form-label, .form-input, .file-drop-zone {
    font-size: 1.125rem;
  }

  .radio-group {
    gap: 1.25rem;
  }

  .file-drop-zone {
    gap: 1rem;
  }

  .file-drop-zone > .icon {
    width: 3rem;
    height: 3rem;
  }

  .course-btn > .icon {
    width: 1.75rem;
    height: 1.75rem;
  }
}

/* 1280px */
@media (min-width: 80rem) {
  .apply-intro, #apply-form {
    width: 64rem;
  }

  .radio-label {
    font-size: 1.1rem;
  }
}

/* 1536px */
@media (min-width: 96rem) {
}

/* 1920px */
@media (min-width: 120rem) {
}
